## gstreamer0.10 0.10.30

=== debian/changelog ===
gstreamer0.10 (0.10.30-1) unstable; urgency=low

  * New upstream stable release, "Safety First":
    + debian/libgstreamer.symbols:
      - Update new symbols version to 0.10.30.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 15 Jul 2010 13:48:14 +0200

gstreamer0.10 (0.10.29.4-1) experimental; urgency=low

  * New upstream pre-release:
    + debian/libgstreamer.symbols:
      - Update new symbols version to 0.10.29.4.
      - Add new symbols.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 07 Jul 2010 11:40:13 +0200

gstreamer0.10 (0.10.29.3-1) experimental; urgency=low

  * New upstream pre-release:
    + debian/libgstreamer.symbols:
      - Update new symbols version to 0.10.29.3.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 30 Jun 2010 10:40:20 +0200

gstreamer0.10 (0.10.29.2-1) experimental; urgency=low

  * New upstream pre-release:
    + debian/rules,
      debian/compat,
      debian/control.in,
      debian/source/format,
      debian/patches/*:
      - Update to debhelper compat level 7.
      - Update to source format 3.0 (quilt).
      - Update to Standards-Version 3.8.4.
    + debian/libgstreamer.symbols:
      - Update symbols file for the new API.
    + debian/control.in:
      - Build depend on GLib 2.20.

 -- Sebastian Dröge <slomo@debian.org>  Sat, 26 Jun 2010 20:17:40 +0200

gstreamer0.10 (0.10.29-1) unstable; urgency=low

  * New upstream release, "It's a Trap":
    + debian/libgstreamer.symbols:
      - Update symbol versions to the stable release.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 28 Apr 2010 09:40:47 +0200

gstreamer0.10 (0.10.28.3-1) experimental; urgency=low

  * New upstream pre-release.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 26 Apr 2010 07:58:27 +0200

gstreamer0.10 (0.10.28.2-1) experimental; urgency=low

  * New upstream pre-release:
    + debian/libgstreamer.symbols:
      - Update symbols file for the new API.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 15 Apr 2010 11:44:13 +0200

gstreamer0.10 (0.10.28-1) unstable; urgency=low

  * New upstream stable release, "Same Old, Same Old".

 -- Sebastian Dröge <slomo@debian.org>  Tue, 09 Mar 2010 09:45:24 +0000

gstreamer0.10 (0.10.27-1) unstable; urgency=low

  * New upstream stable release, "You're Shocked, We Know":
    + debian/libgstreamer.symbols:
      - Updated symbol versions to the stable version.

 -- Sebastian Dröge <slomo@debian.org>  Sun, 07 Mar 2010 10:18:53 +0000

gstreamer0.10 (0.10.26.3-1) experimental; urgency=low

  * New upstream pre-release.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 25 Feb 2010 08:20:25 +0100

gstreamer0.10 (0.10.26.2-2) experimental; urgency=low

  * New upstream pre-release:
    + debian/libgstreamer.symbols:
      - Added new API.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 19 Feb 2010 13:46:16 +0100

gstreamer0.10 (0.10.26-1) unstable; urgency=low

  * New upstream release, "Think Twice":
    + debian/libgstreamer.symbols:
      - Update to use the stable versions.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 11 Feb 2010 10:30:18 +0100

gstreamer0.10 (0.10.25.3-1) experimental; urgency=low

  * New upstream pre-release.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 05 Feb 2010 09:59:16 +0100

gstreamer0.10 (0.10.25.2-3) experimental; urgency=low

  * debian/patches/80_ia32-hack.patch:
    + Fix FTBFS if sys/utsname.h is not included indirectly by
      other headers.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 28 Jan 2010 17:54:47 +0100

gstreamer0.10 (0.10.25.2-2) experimental; urgency=low

  * debian/libgstreamer.install:
    + Also ship the registry update helper application.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 27 Jan 2010 10:38:21 +0100

gstreamer0.10 (0.10.25.2-1) experimental; urgency=low

  * New upstream pre-release:
    + debian/patches/01_multiqueue-iterate-internal-links.patch:
      - Dropped, merged upstream.
    + debian/patches/80_ia32-hack.patch:
      - Updated to apply cleanly again.
    + debian/control.in:
      - Conflict with gstreamer0.10-plugins-base (<< 0.10.25.2) because
        of a moved plugin. This is no file conflict but a GObject type
        name conflict.
      - Build depend on GLib 2.18.
    + debian/libgstreamer.symbols:
      - Added new API.
  * debian/control.in:
    + Remove David I. Lehn from Uploaders (Closes: #557284).
    + Fix typo in package description (Closes: #557365).

 -- Sebastian Dröge <slomo@debian.org>  Wed, 27 Jan 2010 07:43:13 +0100

gstreamer0.10 (0.10.25-4) unstable; urgency=low

  * debian/rules:
    + Don't include the plugin library files in the dh_makeshlibs
      call (Closes: #559657).

 -- Sebastian Dröge <slomo@debian.org>  Sun, 06 Dec 2009 13:57:03 +0100

gstreamer0.10 (0.10.25-3) unstable; urgency=low

  * debian/rules,
    debian/control.in,
    debian/gir1.0-gstreamer.install:
    + Update for the new GObject-Introspection mini spec (Closes: #551568).

 -- Sebastian Dröge <slomo@debian.org>  Tue, 20 Oct 2009 10:54:14 +0200

gstreamer0.10 (0.10.25-2) unstable; urgency=low

  * debian/patches/01_multiqueue-iterate-internal-links.patch:
    + Patch from upstream GIT to improve the iterate internal links
      function of the multiqueue element. It's more robust and faster
      now.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 07 Oct 2009 08:52:26 +0200

gstreamer0.10 (0.10.25-1) unstable; urgency=low

  * New upstream release, 'Feel the burn':
    + debian/libgstreamer.symbols:
      - Updated for the new release.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 05 Oct 2009 18:07:40 +0200

gstreamer0.10 (0.10.24.4-1) experimental; urgency=low

  * New upstream pre-release.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 02 Oct 2009 07:41:43 +0200

gstreamer0.10 (0.10.24.3-1) experimental; urgency=low

  * New upstream pre-release:
    + debian/patches/01_gir-pkgconfig-path.patch,
      debian/patches/02_pkgconfig-first.patch:
      - Dropped, merged upstream.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 17 Sep 2009 07:13:33 +0200


