=== debian/watch ===
version=2
http://gstreamer.freedesktop.org/src/gstreamer/gstreamer-(.*)\.tar\.gz
