## gstreamer0.10 0.10.32

=== debian/changelog ===
gstreamer0.10 (0.10.32-3ubuntu3) natty; urgency=low

  * debian/rules:
    + Set AUTOPOINT=true to prevent autoreconf from breaking
      the patched gettext setup used by gstreamer.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 05 Apr 2011 15:19:31 +0200

gstreamer0.10 (0.10.32-3ubuntu2) natty; urgency=low

  * debian/control.in:
    + Build-depend on autopoint too.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 05 Apr 2011 11:28:36 +0200

gstreamer0.10 (0.10.32-3ubuntu1) natty; urgency=low

  [ Alessandro Decina ]
  * debian/control.in:
    + Add build dependency on dh-autoreconf.
  * debian/rules:
    + Include dh-autoreconf cdbs rule.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 05 Apr 2011 10:54:30 +0200

gstreamer0.10 (0.10.32-3) unstable; urgency=low

  * debian/patches/01_valve-only-set-discont-once.patch
    - Added. Fixes bad audio quality in calls from Empathy (From upstream git)

 -- Sjoerd Simons <sjoerd@debian.org>  Mon, 28 Feb 2011 18:42:54 +0000

gstreamer0.10 (0.10.32-2) unstable; urgency=low

  * Upload to unstable.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 08 Feb 2011 10:55:58 +0100

gstreamer0.10 (0.10.32-1) experimental; urgency=low

  * New upstream stable release, "Take Me to the Bonus Level":
    + debian/libgstreamer.symbols:
      - Update new symbols to the release version.

 -- Sebastian Dröge <slomo@debian.org>  Sat, 22 Jan 2011 12:54:28 +0100

gstreamer0.10 (0.10.31.4-1) experimental; urgency=low

  * New upstream pre-release:
    + debian/libgstreamer.symbols:
      - Update new symbols to the latest pre-release version.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 19 Jan 2011 21:09:58 +0100

gstreamer0.10 (0.10.31.3-1) experimental; urgency=low

  * debian/control.in:
    + Conflict with gstreamer0.10-plugins-bad0.10 (<< 0.10.20.2) because
      of the moved selector and valve plugins. There's no file conflict.
  * New upstream pre-release:
    + debian/libgstreamer.symbols:
      - Update new symbols to the latest pre-release version.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 13 Jan 2011 11:47:02 +0100

gstreamer0.10 (0.10.31.2-1) experimental; urgency=low

  [ Emilio Pozuelo Monfort ]
  * debian/control.in,
    debian/rules:
    + Use dpkg-vendor instead of lsb_release.

  [ Sebastian Dröge ]
  * debian/control.in:
    + Suggest gstreamer0.10-plugins-base instead of the non-existing
      gstreamer0.10-plugins package (Closes: #607466).
  * New upstream pre-release:
    + debian/control.in:
      - Require GLib >= 2.22.
    + debian/patches/*.patch:
      - Refreshed.
    + debian/libgstreamer.symbols:
      - Add new API symbols.

 -- Sebastian Dröge <slomo@debian.org>  Sat, 08 Jan 2011 17:05:50 +0100

gstreamer0.10 (0.10.31-2) experimental; urgency=low

  * Transition from gir1.0-gstreamer-0.10 to gir1.2-gstreamer-0.10

 -- Sjoerd Simons <sjoerd@debian.org>  Sun, 12 Dec 2010 19:45:03 +0000

gstreamer0.10 (0.10.31-1) experimental; urgency=low

  * New upstream release, "Safety Pins":
    + debian/libgstreamer.symbols:
      - Update symbols.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 02 Dec 2010 10:30:18 +0100

gstreamer0.10 (0.10.30.5-1) experimental; urgency=low

  * debian/control.in:
    + Drop gir-repository-dev build dependency. It's not needed and
      only pulls in half of Gnome.
  * New upstream pre-release:
    + debian/libgstreamer.symbols:
      - Update symbols.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 19 Nov 2010 11:26:27 +0100

gstreamer0.10 (0.10.30.4-1) experimental; urgency=low

  * New upstream pre-release:
    + debian/libgstreamer.symbols:
      - Update symbols.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 01 Nov 2010 20:11:56 +0100

gstreamer0.10 (0.10.30.3-1) experimental; urgency=low

  * New upstream pre-release:
    + debian/libgstreamer.symbols:
      - Update symbols.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 22 Oct 2010 19:51:53 +0200

gstreamer0.10 (0.10.30.2-1) experimental; urgency=low

  * New upstream pre-release:
    + debian/patches/80_ia32-hack.patch:
      - Refreshed.
    + debian/libgstreamer.symbols:
      - Add new symbols.

 -- Sebastian Dröge <slomo@debian.org>  Sat, 16 Oct 2010 11:14:39 +0200
