=== debian/control ===
--- 
+++ 
@@ -10,22 +10,22 @@
                cdbs (>= 0.4.20),
                gnome-pkg-tools (>= 0.7),
                autotools-dev,
+               dh-autoreconf,
+               autopoint,
                libxml2-dev (>= 2.6.0),
                zlib1g-dev (>= 1:1.1.4),
-               libglib2.0-dev (>= 2.20),
+               libglib2.0-dev (>= 2.22),
                libgmp3-dev,
                libgsl0-dev,
                pkg-config (>= 0.11.0),
                bison (>= 1.875),
                flex (>= 2.5.34),
-               dpkg-dev (>= 1.14.13),
-               lsb-release,
+               dpkg-dev (>= 1.15.1),
                perl-doc,
-               libgirepository1.0-dev (>= 0.6.3),
-               gobject-introspection (>= 0.6.5-3),
-               gir-repository-dev,
-               gir1.0-glib-2.0,
-               gir1.0-freedesktop
+               libgirepository1.0-dev (>= 0.9.12-4~),
+               gobject-introspection (>= 0.9.12-4~),
+               gir1.2-glib-2.0,
+               gir1.2-freedesktop
 Build-Depends-Indep: python (>= 2.2),
                      gtk-doc-tools (>= 0.7),
                      jade (>= 1.2.1),
@@ -48,9 +48,10 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends}
 Suggests: gstreamer0.10-tools,
-          gstreamer0.10-plugins
+          gstreamer0.10-plugins-base
 Conflicts: libgstreamer-plugins-base0.10-0 (<< 0.10.11cvs20070110-0ubuntu5),
-           gstreamer0.10-plugins-base (<< 0.10.25.2)
+           gstreamer0.10-plugins-base (<< 0.10.25.2),
+           gstreamer0.10-plugins-bad (<< 0.10.20.2)
 Replaces: gobject-introspection-repository (<< 0.6.5-2)
 Description: Core GStreamer libraries and elements
  GStreamer is a streaming media framework, based on graphs of filters
@@ -133,7 +134,7 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          pkg-config,
-         libgstreamer0.10-0 (>= 0.10.30)
+         libgstreamer0.10-0 (>= 0.10.32)
 Suggests: gstreamer0.10-plugins-base
 Description: Tools for use with GStreamer
  GStreamer is a streaming media framework, based on graphs of filters
@@ -163,19 +164,17 @@
  This package contains unversioned command-line tools for GStreamer
  that work with different major/minor versions of GStreamer.
 
-Package: gir1.0-gstreamer-0.10
+Package: gir1.2-gstreamer-0.10
 Section: libs
 Architecture: any
 Depends: ${gir:Depends},
          ${shlibs:Depends},
-         ${misc:Depends}
+         ${misc:Depends},
+         ${gir:Depends}
+Conflicts: gir1.0-gstreamer-0.10
 Replaces: libgstreamer0.10-0 (<< 0.10.25-3),
-          gobject-introspection-repository (<< 0.6.5-2)
-Provides: gir1.0-gst-0.10,
-          gir1.0-gstbase-0.10,
-          gir1.0-gstcheck-0.10,
-          gir1.0-gstcontroller-0.10,
-          gir1.0-gstnet-0.10
+          gobject-introspection-repository (<< 0.6.5-2),
+          gir1.0-gstreamer-0.10
 Description: Description: GObject introspection data for the GStreamer library
  This package contains introspection data for the GStreamer streaming media
  framework.
