=== debian/control ===
--- 
+++ 
@@ -50,8 +50,7 @@
 Suggests: gstreamer0.10-tools,
           gstreamer0.10-plugins-base
 Conflicts: libgstreamer-plugins-base0.10-0 (<< 0.10.11cvs20070110-0ubuntu5),
-           gstreamer0.10-plugins-base (<< 0.10.25.2),
-           gstreamer0.10-plugins-bad (<< 0.10.20.2)
+           gstreamer0.10-plugins-base (<< 0.10.25.2)
 Replaces: gobject-introspection-repository (<< 0.6.5-2)
 Description: Core GStreamer libraries and elements
  GStreamer is a streaming media framework, based on graphs of filters
@@ -91,7 +90,8 @@
          libglib2.0-dev,
          libxml2-dev,
          ${shlibs:Depends},
-         ${misc:Depends}
+         ${misc:Depends},
+         gir1.2-gstreamer-0.10 (= ${binary:Version})
 Replaces: gstreamer-tools (<< 0.10.20-2),
           gobject-introspection-repository (<< 0.6.5-2)
 Recommends: debhelper
@@ -134,7 +134,7 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          pkg-config,
-         libgstreamer0.10-0 (>= 0.10.32)
+         libgstreamer0.10-0 (>= 0.10.33)
 Suggests: gstreamer0.10-plugins-base
 Description: Tools for use with GStreamer
  GStreamer is a streaming media framework, based on graphs of filters
