=== debian/rules ===
--- 
+++ 
@@ -3,9 +3,15 @@
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/class/autotools.mk
 include /usr/share/cdbs/1/rules/utils.mk
+-include /usr/share/cdbs/1/rules/autoreconf.mk
 include /usr/share/gnome-pkg-tools/1/rules/clean-la.mk
 
 export HOME=$(CURDIR)/fake-home
+
+# make autoreconf not call libtoolize since we ship a patch for ltmain.sh
+export LIBTOOLIZE=true
+# make autoreconf not call autopoint since we ship a patch for po/Makefile.in.in
+export AUTOPOINT=true
 
 CFLAGS += -Wno-error
 CXXFLAGS += -Wno-error
@@ -51,10 +57,10 @@
 	debian/$(gst_pkgname)-tools.install \
 	debian/$(gst_pkgname)-tools.links \
 	debian/$(gst_pkgname)-tools.manpages \
-	debian/gir1.0-gstreamer-$(gst_abi).install
+	debian/gir1.2-gstreamer-$(gst_abi).install
 
 # Let's decide the package name and url depending on the distribution
-DISTRO = "$(shell lsb_release -si)"
+DISTRO = "$(shell dpkg-vendor --query vendor)"
 
 GST_PACKAGE_NAME := "GStreamer (unknown Debian derivative)"
 GST_PACKAGE_ORIGIN="http://packages.qa.debian.org/gstreamer$(gst_abi)"
@@ -100,7 +106,7 @@
 	rm -f $@
 	cp -v $< $@
 
-debian/gir1.0-gstreamer-$(gst_abi).install: debian/gir1.0-gstreamer.install debian/rules
+debian/gir1.2-gstreamer-$(gst_abi).install: debian/gir1.2-gstreamer.install debian/rules
 	rm -f $@
 	cp -v $< $@
 
@@ -214,7 +220,7 @@
 common-binary-fixup-arch::
 	mkdir -p $(CURDIR)/fake-home
 	HOME=$(CURDIR)/fake-home \
-	dh_girepository -pgir1.0-gstreamer-$(gst_abi)
+	dh_girepository -pgir1.2-gstreamer-$(gst_abi)
 	rm -rf $(CURDIR)/fake-home
 	-rm -f debian/shlibs.local
 	cat debian/*/DEBIAN/shlibs | \
