=== debian/control ===
--- 
+++ 
@@ -6,15 +6,18 @@
            Sebastien Bacher <seb128@debian.org>,
            Sebastian Dröge <slomo@debian.org>,
            Sjoerd Simons <sjoerd@debian.org>
-Build-Depends: debhelper (>= 7),
-               cdbs (>= 0.4.20),
+Build-Depends: debhelper (>= 8.1.3~),
+               cdbs (>= 0.4.93~),
                gnome-pkg-tools (>= 0.7),
                autotools-dev,
+               automake (>= 1.10),
+               autoconf (>= 2.60),
+               libtool (>= 2.0),
                dh-autoreconf,
-               autopoint,
+               autopoint (>= 0.17),
                libxml2-dev (>= 2.6.0),
                zlib1g-dev (>= 1:1.1.4),
-               libglib2.0-dev (>= 2.22),
+               libglib2.0-dev (>= 2.24),
                libgmp3-dev,
                libgsl0-dev,
                pkg-config (>= 0.11.0),
@@ -44,7 +47,9 @@
 
 Package: libgstreamer0.10-0
 Architecture: any
+Multi-Arch: same
 Section: libs
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends},
          ${misc:Depends}
 Suggests: gstreamer0.10-tools,
@@ -64,6 +69,7 @@
 
 Package: libgstreamer0.10-0-dbg
 Architecture: any
+Multi-Arch: same
 Section: debug
 Priority: extra
 Depends: libgstreamer0.10-0 (= ${binary:Version}),
@@ -134,7 +140,7 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          pkg-config,
-         libgstreamer0.10-0 (>= 0.10.33)
+         libgstreamer0.10-0 (>= 0.10.35.2)
 Suggests: gstreamer0.10-plugins-base
 Description: Tools for use with GStreamer
  GStreamer is a streaming media framework, based on graphs of filters
@@ -165,7 +171,7 @@
  that work with different major/minor versions of GStreamer.
 
 Package: gir1.2-gstreamer-0.10
-Section: libs
+Section: introspection
 Architecture: any
 Depends: ${gir:Depends},
          ${shlibs:Depends},
