## gstreamer0.10 0.10.36

=== debian/changelog ===
gstreamer0.10 (0.10.36-1.5ubuntu1) wily; urgency=low

  * Merge from Debian unstable (LP: #1486821).  Remaining changes:
    - Empty dependency_libs in all .la files. (LP: #1017486)
  * Dropped (now upstream):
    - 99_update-libtool.patch
    - 99_YYLEX_PARAM-deprecated.patch

 -- Andy Whitcroft <apw@ubuntu.com>  Thu, 20 Aug 2015 04:55:29 +0100

gstreamer0.10 (0.10.36-1.5) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/rules: Remove outdated mangling of debian/shlibs.local, this is
    breaking dependencies generation for gir packages. (Closes: #761916)

 -- Laurent Bigonville <bigon@debian.org>  Thu, 06 Nov 2014 20:46:56 +0100

gstreamer0.10 (0.10.36-1.4) unstable; urgency=low

  * Non-maintainer upload with maintainers permission.
  * Update local libtool copy to build on ppc64el. Closes: #756641

 -- Andreas Barth <aba@ayous.org>  Sat, 23 Aug 2014 21:36:49 +0000

gstreamer0.10 (0.10.36-1.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Patch to build against bison3, picked from upstream.  Thanks Andy
    Whitcroft and Tobias Hansen.  (Closes: #732424, #733362)

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Tue, 29 Jul 2014 21:33:03 +0100

gstreamer0.10 (0.10.36-1.2ubuntu3) trusty; urgency=low

  * 99_YYLEX_PARAM-deprecated.patch: follow deprecation of YYLEX_PARAM
    in favour of %lex-param.  Fixes FTBFS following bison update.

 -- Andy Whitcroft <apw@canonical.com>  Tue, 17 Dec 2013 19:12:15 +0000

gstreamer0.10 (0.10.36-1.2ubuntu2) trusty; urgency=low

  * 99_update-libtool.patch: Update m4/libtool.m4 for new ports.

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 12 Dec 2013 00:35:00 -0700

gstreamer0.10 (0.10.36-1.2ubuntu1) saucy; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Empty dependency_libs in all .la files. (LP: #1017486)

 -- Iain Lane <iain.lane@canonical.com>  Tue, 07 May 2013 13:58:34 +0100

gstreamer0.10 (0.10.36-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Added patch 01_fix_webcam_stream_play_hang.patch (closes: #676648,
    LP: #966294).

 -- Micha Lenk <micha@debian.org>  Mon, 22 Apr 2013 21:14:44 +0200

gstreamer0.10 (0.10.36-1.1) unstable; urgency=low

  [ Julien Cristau ]
  * Non-maintainer upload
  * Rebuild against GLib 2.32 (closes: #697025)
  * Bump shlibs and symbols version for GstCollectPads2.

  [ Sebastian Dröge ]
  * debian/changelog:
    + Remove merge conflict marker (Closes: #660798).

  [ Iain Lane ]
  * debian/control:
    + Add Vcs- headers

 -- Julien Cristau <jcristau@debian.org>  Sat, 26 Jan 2013 11:24:16 +0000

gstreamer0.10 (0.10.36-1ubuntu2) quantal; urgency=low

  * Empty dependency_libs in all .la files. (LP: #1017486)

 -- Iain Lane <iain.lane@canonical.com>  Mon, 25 Jun 2012 13:21:43 +0100

gstreamer0.10 (0.10.36-1ubuntu1) precise; urgency=low

  * Revert upstream commit: f56c6e12255b37d75b1eb949e434fa8e3bb33f51
    This fixes cases where starting to play a webcam stream would
    make gstreamer (or part of it at least) hang. (LP: #966294)
    .
    Upstream bug is tracked at:
    https://bugzilla.gnome.org/show_bug.cgi?id=673991

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 12 Apr 2012 13:04:26 +0200

gstreamer0.10 (0.10.36-1) unstable; urgency=low

  [ Loïc Minier ]
  * Only track 0.10.* versions in watch file.
  * Update my email address in control.

  [ Sebastian Dröge ]
  * New upstream stable release, "Harder":
    + debian/libgstreamer.symbols:
      - Update for the stable release version.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 21 Feb 2012 10:34:24 +0100

gstreamer0.10 (0.10.35.3-1) experimental; urgency=low

  * New upstream pre-release.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 06 Feb 2012 09:21:14 +0100
