=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: gstreamer0.10
 Section: libs
 Priority: optional
-Maintainer: Maintainers of GStreamer packages <pkg-gstreamer-maintainers@lists.alioth.debian.org>
-Uploaders: Loic Minier <lool@dooz.org>,
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Maintainers of GStreamer packages <pkg-gstreamer-maintainers@lists.alioth.debian.org>
+Uploaders: Loïc Minier <lool@debian.org>,
            Sebastien Bacher <seb128@debian.org>,
            Sebastian Dröge <slomo@debian.org>,
            Sjoerd Simons <sjoerd@debian.org>
@@ -44,6 +45,8 @@
                      libglib2.0-doc
 Standards-Version: 3.8.4
 Homepage: http://gstreamer.freedesktop.org
+Vcs-Git: git://git.debian.org/git/pkg-gstreamer/gstreamer0.10.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-gstreamer/gstreamer0.10.git
 
 Package: libgstreamer0.10-0
 Architecture: any
@@ -140,7 +143,7 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          pkg-config,
-         libgstreamer0.10-0 (>= 0.10.35.2)
+         libgstreamer0.10-0 (>= 0.10.36)
 Suggests: gstreamer0.10-plugins-base
 Description: Tools for use with GStreamer
  GStreamer is a streaming media framework, based on graphs of filters
