=== debian/rules ===
--- 
+++ 
@@ -31,7 +31,7 @@
 gst_lib=$(gst_lib_prefix)-0
 gst_lib_dev=$(gst_lib_prefix)-dev
 # gstreamer shlibs
-gst_shlibs_dep="$(gst_lib) (>= $(gst_version))"
+gst_shlibs_dep="$(gst_lib) (>= 0.10.36-1.1)"
 
 # debug package
 DEB_DH_STRIP_ARGS := --dbg-package=$(gst_lib)-dbg
@@ -182,6 +182,8 @@
 	--disable-examples \
 	--enable-DEBUG \
 	--enable-debug \
+	--libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) \
+	--libexecdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)/gstreamer0.10 \
 	--with-package-name=$(GST_PACKAGE_NAME) \
 	--with-package-origin=$(GST_PACKAGE_ORIGIN)
 
@@ -208,31 +210,19 @@
 	mkdir -p debian/$(gst_pkgname)-doc/usr/share/lintian/overrides/
 	cp -a debian/$(gst_pkgname)-doc.lintian debian/$(gst_pkgname)-doc/usr/share/lintian/overrides/$(gst_pkgname)-doc
 
-DEB_DH_MAKESHLIBS_ARGS_$(gst_lib) += -X "/usr/lib/gstreamer-$(gst_abi)" -V $(gst_shlibs_dep) -- -c4
+DEB_DH_MAKESHLIBS_ARGS_$(gst_lib) += -X "/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-$(gst_abi)" -V $(gst_shlibs_dep) -- -c4
 DEB_INSTALL_DOCS_ALL += debian/README.Debian NEWS
-DEB_SHLIBDEPS_INCLUDE += debian/$(gst_lib)/usr/lib
-
-# override shlibs for libraries from this source before computing dependencies
-# of packages generated from this source; we already have inter-dependencies
-# expressed manually in the control file, we do not need the shlibs to add
-# duplicates
-# (this rule runs just before the dh_shlibdeps)
-common-binary-fixup-arch::
-	mkdir -p $(CURDIR)/fake-home
-	HOME=$(CURDIR)/fake-home \
-	dh_girepository -pgir1.2-gstreamer-$(gst_abi)
-	rm -rf $(CURDIR)/fake-home
-	-rm -f debian/shlibs.local
-	cat debian/*/DEBIAN/shlibs | \
-		sed -n -r -e 's/(([^ ]+: )?([^ ]+) ([^ ]+)) .*/\1/p' \
-			> debian/shlibs.local
-
-# (this rules runs just after the dh_shlibdeps)
-common-binary-predeb-arch::
-	-rm -f debian/shlibs.local
+DEB_SHLIBDEPS_INCLUDE += debian/$(gst_lib)/usr/lib/$(DEB_HOST_MULTIARCH)
+
+$(patsubst %,binary-install/%,$(DEB_PACKAGES)) :: binary-install/%:
+ifneq (,$(DEB_HOST_MULTIARCH))
+	for file in $(wildcard debian/$(cdbs_curpkg)/usr/lib/$(DEB_HOST_MULTIARCH)/*/*.la); do \
+		sed -i "/dependency_libs/ s/'.*'/''/" $$file ; \
+	done
+endif
 
 install/$(gst_lib_dev)::
-	gcc -o debian/tmp/usr/bin/gst-codec-info-0.10 debian/gst-codec-info.c $(CFLAGS) $(CPPFLAGS) $(LDFLAGS) `pkg-config --libs --cflags glib-2.0 gthread-2.0 gmodule-no-export-2.0 gobject-2.0 libxml-2.0` debian/tmp/usr/lib/libgstreamer-0.10.so -Idebian/tmp/usr/include/gstreamer-0.10
+	gcc -o debian/tmp/usr/bin/gst-codec-info-0.10 debian/gst-codec-info.c $(CFLAGS) $(CPPFLAGS) $(LDFLAGS) `pkg-config --libs --cflags glib-2.0 gthread-2.0 gmodule-no-export-2.0 gobject-2.0 libxml-2.0` debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libgstreamer-0.10.so -Idebian/tmp/usr/include/gstreamer-0.10
 	perldoc -o man debian/dh_gstscancodecs > debian/tmp/usr/share/man/man1/dh_gstscancodecs.1
 
 .PHONY: maint
