=== debian/watch ===
version=2
http://gstreamer.freedesktop.org/src/gstreamer/gstreamer-(0\.10\.[\d\.]+)\.tar\.gz
